'''
##############################################
#  Rummy.py - server/client lingo constants  #
##############################################
'''

MSG_OK = '.OK'			# Server says ok.
MSG_WHAT = '.WHAT'		# Server is listening for more info.
MSG_FAIL = '.YES'		# Server says fail.
MSG_BUFFER = '.BUFFER'	# Server/Client needs bigger buffer

ASK_GO = '?GO'					# Asking server for permission to go. 
ASK_WHO = '?WHO'				# Asking for current player.

ACT_DISCARD = '!DISCARDING'		# Client discarding
ACT_REPLACE = '!REPLACING'		# Replacing card in meld
ACT_PICKUP = '!PICKUP'			# Picking up

TAG_CARD = 'card'				# Notifies parser the following value is a card.
TAG_MANY_CARDS = 'cards'
TAG_PLAYER = 'id'

# TEMPORARY 
ACT_END = '!END'	# End turn
#